import java.io.*;

/**
 * Второй пример использования потоков ввода-вывода символов
 * */
public class Main {
    public static void main(String[] args) throws IOException {
        /*Создаем объект класса FileReader*/
        FileReader fileReader = new FileReader("in.txt");
        /*Создаем объект класса BufferedReader на основе fileReader*/
        BufferedReader in = new BufferedReader(fileReader);

        /*Создаем объект класса FileWriter*/
        FileWriter fileWriter = new FileWriter("out.txt");
        /*Создаем объект класса PrintWriter на основе fileWriter*/
        PrintWriter out = new PrintWriter(fileWriter);

        /*Читаем строки из in и записываем их в out*/
        String line = "";
        while ((line = in.readLine()) != null) {
            out.println(line);
        }

        /*Незабываем закрыть потоки ввода-вывода*/
        in.close();
        out.close();

        System.out.println("Содержимое файла успешно скопировано");
    }
}
